Name:		gspiceui
Version:	0.9.65 
Release:	3%{?dist}
Summary:	A GUI to freely available Spice Electronic circuit similators

Group:		Applications/System 
License:	GPLv2+
URL:		http://sourceforge.net/projects/gspiceui
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-v%{version}.tar.gz
Source1:	%{name}.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	compat-wxGTK26-devel, desktop-file-utils  
Requires:	ngspice, geda-gnetlist, geda-gschem 
Requires:	gwave, electronics-menu

ExcludeArch:	ppc64   

%description
GspiceUI is listed among the Fedora Electronic Lab (FEL) packages.

GNU Spice GUI is intended to provide a GUI to freely available
Spice electronic cicuit simulators eg.GnuCAP, Ng-Spice.
It uses gNetList to convert schematic files to net list files
and gWave to display simulation results.
gSchem is used as the schematic generation/viewing tool.

%prep
%setup -q -n %{name}-v%{version}

sed -i 's|/usr/local|/usr|g' html/Makefile
sed -i 's|cp|install -pm 644|g' Makefile html/Makefile
sed -i 's|cp |install -m 755 |g' src/Makefile
sed -i 's|wx-config|wx-2.6-config|' src/Makefile

%build
make %{?_smp_mflags} CC="%{__cxx} $RPM_OPT_FLAGS" GSPICEUI_DBG=0 GSPICEUI_WXLIB=2.6

%install
rm -rf $RPM_BUILD_ROOT

#fix installdir path
sed -i 's|/usr/local|%{buildroot}%{_prefix}|g' Makefile

#Add missing folder
mkdir -p $RPM_BUILD_ROOT%{_bindir}

make install DESTDIR=$RPM_BUILD_ROOT

#remove default installed docs|files 
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/{README,INSTALL,ChangeLog}
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/icons

#Add/Manage desktop file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps

install -pm 0644 src/icons/%{name}-32x32.xpm \
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.xpm
install -pm 0644 src/icons/%{name}-48x48.xpm \
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.xpm

desktop-file-install 	--vendor "Fedora"				\
			--mode 0644					\
			--remove-category="Science;Education"		\
			--add-category Electronics			\
			--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
			%{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%post   
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :   
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :



%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/??x??/apps/*.xpm
%{_datadir}/applications/*.desktop
%{_mandir}/man1/gspiceui.1.gz



%changelog
* Thu Jul 31 2008 Xavier Lamien <lxtnow[at]gmail.com> - 0.9.65-3
- Excluded ppc64 (gwave is not available on ppc64).

* Sat Jul 26 2008 Xavier Lamien <lxtnow[at]gmail.com> - 0.9.65-2
- Fix typo on desktop-file-install.

* Mon Jul 14 2008 Xavier Lamien <lxtnow[at]gmail.com> - 0.9.65-1
- Update release.

* Mon Dec 31 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.9.55-2
- Fixed typo in Requires.
- Improved %%description and desktop file.
- Fixed WxGTK config use.

* Sun Dec 30 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.9.55-1
- Updated Release.
- Built against WxGTK-2.6 libs.

* Tue Jul 04 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.8.90-2
- Enabled the fix that make it honor RPM_OPT_FLAGS.

* Wed Jul 04 2007 Xavier Lamien < lnxtnow[at]gmail.com > - 0.8.90-1
- Initial RPM Release.
